#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	XML
%define		pnam	SAX-ExpatXS
Summary:	XML::SAX::ExpatXS - Perl SAX 2 XS extension to Expat parser
Summary(pl.UTF-8):	XML::SAX::ExpatXS - rozszerzenie XS Perla SAX 2 do analizatora Expat
Name:		perl-XML-SAX-ExpatXS
Version:	1.32
Release:	5
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/XML/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	f895b4be6b1b5f81366955cdd7ac5724
Patch0:		%{name}-Makefile.PL.patch
URL:		http://search.cpan.org/dist/XML-SAX-ExpatXS/
BuildRequires:	expat-devel
%if %{with tests}
BuildRequires:	perl-XML-SAX >= 0.13
%endif
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
XML::SAX::ExpatXS is a direct XS extension to Expat XML parser. It
implements Perl SAX 2.1 interface.

%description -l pl.UTF-8
XML::SAX::ExpatXS to bezpośrednie rozszerzenie XS do analizatora XML-a
Expat. Implementuje interfejs Perla SAX 2.1.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%patch0 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post
umask 022
%{__perl} -MXML::SAX -e "XML::SAX->add_parser(q(XML::SAX::ExpatXS))->save_parsers()"

%postun
if [ "$1" = "0" ]; then
	umask 022
	%{__perl} -MXML::SAX -e "XML::SAX->remove_parser(q(XML::SAX::ExpatXS))->save_parsers()"
fi

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/XML/SAX/*
%dir %{perl_vendorarch}/XML/SAX
%dir %{perl_vendorarch}/auto/XML/SAX
%dir %{perl_vendorarch}/auto/XML/SAX/ExpatXS
%attr(755,root,root) %{perl_vendorarch}/auto/XML/SAX/ExpatXS/*.so
%{_mandir}/man3/*
%changelog
* Fri Sep 12 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-XML-SAX-ExpatXS.git;a=log;h=master

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> e04d2b9
- release 5 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 8564c87
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 3a2c673
- rebuild for perl 5.20
- release 4 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> b1041ae
- rebuild with perl 5.18.0
- release 3 (by relup.sh)

* Sun Nov 11 2012 Jan Rękorajski <baggins@pld-linux.org> 7098666
- rebuild with expat 2.1.0
- release 2 (by relup.sh)

* Fri Jul 01 2011 marti <marti@pld-linux.org> 2df9ba1
- up to 1.32

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> cb46e89
- release 2

* Thu Oct 08 2009 amateja <amateja@pld-linux.org> 9c68aa0
- updated to 1.31

* Thu Oct 08 2009 amateja <amateja@pld-linux.org> dbd0285
- initial

* Tue Mar 25 2008 Jakub Bogusz <qboosh@pld-linux.org> 0c7d583
- generic URL

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> ec4393b
- rel 3

* Mon Jan 14 2008 Elan Ruusamäe <glen@pld-linux.org> b2b8b36
- missing dirs; rel 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 16f2893
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 9a582c2
- converted to UTF-8

* Fri Oct 20 2006 ankry <ankry@pld-linux.org> 1c65430
- rel 1

* Sun Jul 16 2006 Maciej Pijanka <agaran@pld-linux.org> 61fc87c
- up to 1.20 rel 0.1, builds here

* Fri Feb 03 2006 Jakub Bogusz <qboosh@pld-linux.org> f2400be
- removed dup dir, .so perms

* Fri Feb 03 2006 migo <migo@pld-linux.org> e73601b
- up to 1.10

* Thu Sep 22 2005 Jakub Bogusz <qboosh@pld-linux.org> 11d76eb
- pl

* Sat Sep 10 2005 migo <migo@pld-linux.org> 6a8636e
- initial revision

